
%define plugin	cdda
%define name	vdr-plugin-%plugin
%define version	0.1.0
%define rel	15

Summary:	VDR plugin: music cd player
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.wahnadium.org
Source:		ftp://ftp.wahnadium.org/pub/vdr-cdda/vdr-%plugin-%version.tar.bz2
Patch0:		cdda-0.1.0-i18n-1.6.patch
# From e-tobi repository:
Patch1:		02_fix-cdda_menu.h.dpatch
Patch2:		90_cdda-1.3.38.dpatch
Patch3:		03_cdbremse.dpatch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	libcdio-devel
BuildRequires:	libmad-devel
Requires:	vdr-abi = %vdr_abi

%description
The "cdda" plugin is an audio cd player with cd-text and cddb support. You can
play your favorite music cd's as like as you do it with your standalone cd
player.

%prep
%setup -q -n %plugin-%version
%patch0 -p1
%patch1 -p1 -b .menu
%patch2 -p1 -b .1338
%patch3 -p1
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# set the cdrom device
var=CDROM_DEVICE
param=--device=CDROM_DEVICE
# set the base directory to the cddb cache (no default
# argument). When no directory is set, then the local cache
# is automatically disabled.
var=CDDB_CACHEDIR
param=--cddbDir=CDDB_CACHEDIR
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY




%changelog
* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.1.0-14mdv2009.0
+ Revision: 197639
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)
- set drive speed (P3 from e-tobi)

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.1.0-13mdv2008.1
+ Revision: 145046
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.1.0-12mdv2008.1
+ Revision: 103072
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.1.0-11mdv2008.0
+ Revision: 49978
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.1.0-10mdv2008.0
+ Revision: 42065
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.1.0-9mdv2008.0
+ Revision: 22803
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-8mdv2007.0
+ Revision: 90900
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-7mdv2007.1
+ Revision: 73964
- rebuild for new vdr
- Import vdr-plugin-cdda

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-6mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-5mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-4mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-3mdv2007.0
- rebuild for new vdr

* Thu Jul 20 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-2mdv2007.0
- fix buildrequires

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-1mdv2007.0
- initial Mandriva release

